Add contacts

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to add some contacts to your account, and attach them to a contact list, or a tag.

Special parameters

NameTypeDescription
list_namestringThis is the value representing to list name you want to create.
list_namesarrayThis is the values representing to list names you want to create.
un_listbooleanThis value is "true" when you want to detach all lists associated with contacts.
tag_namestringThis is the value representing to tag name you want to create.
tag_namesarrayThis is the values representing to tag names you want to create.
un_tagbooleanThis value is "true" when you want to detach all tags associated with contacts.
contactsarrayArray of contacts { 'phone_number': '', 'first_name': '', 'last_name': '', 'param1': '', 'param2': '', 'param3': '', 'param4': '', 'param5': ''}
auto_delete_optout_contactsbooleanThis value is "true" when you want to send with ignore optout contacts.
do_not_overwritebooleanThis value is "true" when you want to overwrite existing records during insertion

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)
Body Params

Payload to create contacts in contact list.

string
list_names
array of strings
Defaults to
list_names
boolean
Defaults to false
string
tag_names
array of strings
Defaults to
tag_names
boolean
Defaults to false
contacts
array of objects
required
contacts*
boolean
Defaults to false
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json